MonoMac 0.0.0.0 MonoMac.CoreGraphics.CGContext PDF Rendering CGContext class. Use this class to create a CGContext that will output the results to a PDF file. You can use all of the regular CGContext methods, the result, instead of being rendered into the screen or an image, the commands are turned into PDF commands and stored in a PDF file.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  The PDF file will be stored in this url
  The size of the media box to generate, specified in points.
  Creates a new CGContext that records its commands into a PDF file with the mediaBox dimensions stored in the specified url.
- Constructor
  0.0.0.0
  The PDF file will be stored in this url
  The size of the media box to generate, specified in points.
  PDF Configuration options
  Creates a new CGContext that records its commands into a PDF file with the mediaBox dimensions stored in the specified url.
- Method
  0.0.0.0
  System.Void `` `` The name of the destination point. The location of the destination. Adds a destination name at the specified location. Use this to add destinations in a PDF document. These destinations can be reached by the user when they click on a region of the document that was defined with SetDestination.
- Method
  0.0.0.0
  System.Void `` PDF Metadata encoded in XML format following the specification of the "Extensible Metadata Platform" from the PDF spec.
- Method
  0.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the CGContextPDF object.

  This Dispose method releases the resources used by the CGContextPDF class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the CGContextPDF ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Method
  0.0.0.0
  System.Void To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` The name for the destination. The region that will respond to user input. If the user clicks or taps in the specified region, the PDF viewer will jump to the named destination To be added.
- Method
  0.0.0.0
  System.Void `` `` The target url. The region. Associates a region in the screen with a url. When the user clicks or taps in that region, he will be redirected to that url on their PDF viewer. To be added.